package org.jeecg.common.system.base.mybatisPlusBase;

import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface IMyService <T> extends IService<T> {
    /**
     * 不设置批量最大条数，数据量不大时使用
     * @param entityList
     * @return
     */
    int insertBatchSomeColumn(List<T> entityList);

    /**
     *
     * @param entityList
     * @param batchSize 批量一次最大条数，进行多次
     * @return
     */
    int insertBatchSomeColumn(List<T> entityList, int batchSize);
}
