package org.jeecg.common.system.base.mybatisPlusBase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 自定义BaseMapper
 * 继承Mybatis-plus的BaseMapper，添加批量插入方法
 */
public interface MyBaseMapper<T> extends BaseMapper<T> {
    /**
     * 不设置批量最大条数，数据量不大时使用
     * @param entityList
     * @return
     */
    int insertBatchSomeColumn(List<T> entityList);
}
