package org.jeecg.modules.app.vo.game;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="比赛项目详情返回参数")
public class FindByGameIdPriceVo {
    @Schema(description = "赛事主键id")
    private String id;
    @Schema(description = "资质")
    private String aptitudes;
    @Schema(description = "资质集合")
    private List<String> aptitudesList;
    @Schema(description = "比赛项目")
    private List<GamePriceRulesTypeVO> gamePriceRulesTypeVOList;
}
