package org.jeecg.modules.app.vo.game;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.modules.app.dto.PageDTO;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="赛事查询条件")
public class FindPageGameVO extends PageDTO {
    @Schema(description ="经度")
    private String longitude;
    @Schema(description ="纬度")
    private String latitude;
}
