package org.jeecg.modules.app.vo.stadium;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="体育馆场次请求")
public class StadiumFindById {
    @NotNull(message = "场所不能为空")
    @Schema(description = "场所id")
    private String siteId;
    @NotNull(message = "运动类型不能为空")
    @Schema(description = "运动类型id")
    private String categoryId;

}
