package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author DM
 * @date 2025/7/8 11:44
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="课程课时入参DTO")
public class AppCoursesPageDTO extends BasePageDTO {

    @Schema(description = "orgCode")
    private String orgCode;

    @Schema(description = "课程名称")
    private String name;

    @Schema(description = "上架状态;0上架 1下架")
    private Integer rackingStatus;

    @Schema(description = "费用类型")
    private Integer priceType;

    @Schema(description = "课程进展")
    private Integer coursesStatus;

    @Schema(description = "类目")
    private Integer categoryId;

}