package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="教练列表DTO")
public class AppInstructorDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**userId*/
    @Schema(description = "userId")
    private String userId;
    /**姓名*/
    @Schema(description = "姓名")
    private String name;
}
