package org.jeecg.modules.system.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.app.vo.game.GamePriceRulesVO;
import org.jeecg.modules.system.app.dto.AppGameRuleDTO;
import org.jeecg.modules.system.app.entity.AppGamePriceRules;

import java.util.List;

/**
 * @Description: 赛事价格规则表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
public interface AppGamePriceRulesMapper extends BaseMapper<AppGamePriceRules> {

    int updateByIdDel(@Param("id") String id);

    List<AppGameRuleDTO> findByGameId(@Param("gameId")String gameId);

    List<GamePriceRulesVO> findByGameIdList(@Param("gameId")String gameId, @Param("type") Integer type);
}
