package org.jeecg.modules.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.app.vo.game.FindByGameIdPriceVo;
import org.jeecg.modules.app.vo.game.FindByIdResponse;
import org.jeecg.modules.app.vo.game.FindPagResponse;
import org.jeecg.modules.app.vo.game.FindPageGameVO;

/**
 * @Description: 赛事表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
public interface IGameService {


    Result<IPage<FindPagResponse>> findConcerts(FindPageGameVO findPageGame);

    Result<FindByIdResponse> findById(String id, String longitude, String latitude);


    Result<FindByGameIdPriceVo> findByGameId(String id);
}
