package org.jeecg.modules.app.vo.game;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="比赛项目详情返回参数")
public class GamePriceRulesTypeVO {
    @Schema(description = "比赛项目类型Int")
    private Integer type;
    @Schema(description = "比赛项目类型")
    private String typeName;
    @Schema(description = "比赛项目名称")
    private List<GamePriceRulesVO> gamePriceRulesVOList;

}
