package org.jeecg.modules.app.vo.game;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="比赛项目详情返回参数")
public class GamePriceRulesVO {
    @Schema(description = "主键id")
    private String id;
    @Schema(description = "比赛项目名称")
    private String categoryName;
    @Schema(description = "比赛项目id")
    private String categoryId;
    @Schema(description = "人数")
    private Integer peopleNum;
    @Schema(description = "价格")
    private BigDecimal sellingPrice;
    /**比赛类型；0个人1团队*/
    @Schema(description = "比赛类型；0个人1团队")
    private Integer type;
    /**赛事id*/
    @Schema(description = "赛事id")
    private String gameId;

}
