package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author DM
 * @date 2025/7/8 17:05
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "赛事-赛程-赛价分页入参DTO")
public class AppGamePageDTO extends BasePageDTO{
    @Schema(description = "名称")
    private String name;
    @Schema(description = "比赛项目")
    private String categoryId;
    @Schema(description = "报名结束时间")
    private String endTime;
    @Schema(description = "报名开始时间")
    private String startTime;
    @Schema(description = "部门")
    private String orgCode;
}