package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="门店地址出参DTO")
public class AppSiteAddressDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**siteId*/
    @Schema(description = "siteId")
    private String siteId;
    /**地址*/
    @Schema(description = "地址")
    private String address;
}
