package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="场地价格规则自定义DTO")
public class AppSiteCategoryRuleDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String categoryId;

    private Integer count;

    private List<AppSiteRuleTimeFormDTO> appSiteRuleTimeFormDTOList;
}
