package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="包场自定义DTO")
public class AppSitePlaceParkDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private AppSitePlaceCuDTO appSitePlaceCuDTO;

    private List<AppSiteCategoryRuleDTO> appSiteCategoryRuleDTOS;
}
