package org.jeecg.modules.system.app.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.system.app.entity.AppSitePriceRules;
import org.jeecg.modules.system.app.mapper.AppSitePriceRulesMapper;
import org.jeecg.modules.system.app.service.IAppSitePriceRulesService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 场地价格规则表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
@Service
public class AppSitePriceRulesServiceImpl extends ServiceImpl<AppSitePriceRulesMapper, AppSitePriceRules> implements IAppSitePriceRulesService {


    @Override
    public int insertList(List<AppSitePriceRules> appSitePriceRulesList) {
        return baseMapper.insertList(appSitePriceRulesList);
    }
}
